package com.sw.mes.yb.mcs.service.impl;

import com.sw.mes.base.system.service.SysLogService;
import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.mqtt.service.NotificationService;
import com.sw.mes.utils.StringUtils;
import com.sw.mes.yb.mcs.dao.CodingRecordDao;
import com.sw.mes.yb.mcs.entity.CodingRecord;
import com.sw.mes.yb.mcs.service.CodingRecordService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.client.RestTemplate;

import java.util.List;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
@Slf4j
public class CodingRecordServiceImpl extends BaseServiceImpl<CodingRecord> implements CodingRecordService {
    CodingRecordDao dao;

    @Autowired
    public void setDao(CodingRecordDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public List<CodingRecord> getCodingRecordBySectionNo(String sectionNo) {
        List<CodingRecord> codingRecords = dao.findBySectionNo(sectionNo);
        if(null != codingRecords){
            return codingRecords;
        }
        return null;
    }
}
